--[[
Lua script for generating grid labels

autor   : printmaps-osm.de
version : 2018/12/01
]]

numberOfGridLines = 12
labelTextIncrement = 0.01
labelText = 9.93
labelPosition = 33.0
labelPositionIncrement = 33.0

print()
print(string.format("# lon grid values (increment %.2f)", labelPositionIncrement))
print("# ---------------------------------")
print()
for index = 1, numberOfGridLines, 1 do
    print(string.format("- Style: <TextSymbolizer fontset-name='fontset-0' size='12' fill='dimgray' allow-overlap='true'>'%.2f°'</TextSymbolizer>", labelText))
    print(string.format("  WellKnownText: POINT(%.2f 10.0)", labelPosition))
    print()
    labelText = labelText + labelTextIncrement
    labelPosition = labelPosition + labelPositionIncrement
end

numberOfGridLines = 10
labelTextIncrement = 0.01
labelText = 53.59
labelPosition = 41.7
labelPositionIncrement = 55.7

print(string.format("# lat grid values (increment %.2f)", labelPositionIncrement))
print("# ---------------------------------")
print()
for index = 1, numberOfGridLines, 1 do
    print(string.format("- Style: <TextSymbolizer fontset-name='fontset-0' size='12' fill='dimgray' allow-overlap='true'>'%.2f°'</TextSymbolizer>", labelText))
    print(string.format("  WellKnownText: POINT(410.0 %.2f)", labelPosition))
    print()
    labelText = labelText + labelTextIncrement
    labelPosition = labelPosition + labelPositionIncrement
end
